Register Login

Required PHP Modules For wordpress That You Need To Install

Required PHP Modules For wordpress That You Need To Install

wordpress is programmed with PHP language and definitely needs modules to run properly on PHP. In this article, we will introduce a list of PHP modules required for wordpress.

PHP has been used as an infrastructure for wordpress for many years. PHP with its development was able to remain the leader in this competition. PHP provides new features and functions to the user by updating and upgrading. At first glance, some updates may seem simple and minor. But it has helped PHP become an evolving and competitive programming language.

Older versions of PHP do not receive security updates. So if a site is based on older versions, it does not have good security. As a result, the PHP Developers Association is constantly updating it to fix security bugs and vulnerabilities. Therefore, using newer versions of PHP will result in better security, speed, and performance of the website. As of mid-2017, wordpress has also officially asked its customers to use PHP 7.2 or higher.

wordpress - PHP
wordpress – PHP

Required PHP Modules For wordpress

Therefore, to set up a server for wordpress quickly and with quality, it is necessary to install new PHP modules so that wordpress also has the best performance. However, to install PHP modules we first need to know what the main server we are using is. Then, accordingly, the module used may be different in each case. However, it is recommended to install the following plugins for PHP 7.2 and above:

cmath - usable for mathematical operations
cli - usable by shell scripts
common - One of the main modules of PHP
curl - usable for wordpress applications
dom - can be used in the site map building module
fileinfo - to get uploaded file information in wordpress
filter - to filter user inputs
hash - to hash site information
fpm - to increase the quality and performance of PHP
gd - To work on images and resize images
imagick - If you have not installed the above module, you must install this module to work on images and resize images
iconv - To convert text characters in wordpress
json - Manage wordpress mobile applications and connections
libsodium - For a better understanding of Persian characters and other languages
mysql - wordpress and database connection
openssl - Manage SSL requests
pcre
opcache - caching PHP files (as I explained during the acceleration period)
readline - Functions related to commandline
xml - Build sitemaps and XML files
zip - Create and manage zip files by wordpress
gettext - to get translation file information
date - To receive date and time information

Suggested Modules from wordpress.org

Of course, apart from the required modules that we introduced to you above. wordpress.org also introduced a series of modules for PHP. But these modules are actually compatible with PHP 5.6. Therefore, the use of these modules is not recommended. If you are planning to install the required wordpress modules on PHP on your localhost or main server, pay special attention to the above list.

Good luck. 🙂

Do you have any question? Ask us